ams2psf(1)

NAME
ams2psf - convert an Amstrad CP/M font to a PC Screen Font file.

SYNOPSIS
ams2psf [--codepage=CODEPAGE] [--psf1] [--psf2] [INPUTFILE [OUTPUTFILE]]

DESCRIPTION

ams2psf converts a file, presumed to contain an Amstrad CP/M font, to the .PSF format.

The following file formats are auto-detected: LocoScript screen fonts (SCRCHAR.JOY); COM files created by psf2ams(1) or the PCW utilities SETFONT and LETAFONT; raw fonts of size 2048 or 4096 bytes. If none of these applies, ams2psf will search for the first 8 bytes of the standard PCW font within the input file; this will locate a font, provided that character zero has not been redefined. This allows the font to be extracted from a CP/M (or LocoScript 1) system file.

OPTIONS

--codepage=CODEPAGE
    Add a Unicode directory for the specified codepage, which can be identified by number or name. See psfpages(1) for a list of valid codepage names.

--psf1
    Force output in the PSF1 format.

--psf2
    Force output in the PSF2 format (default).

BUGS
The font search algorithm will produce odd results on EMS files used by LocoScript 2 and higher, since they store characters in a different order from CP/M and LocoScript 1.

SEE ALSO
psf2ams(1)

AUTHOR
John Elliott <seasip.webmaster@gmail.com>.